Skip to main content

PHP 7.x on AlmaLinux9 cPanel 114

Comments

9 comments

  • Tarak Nath
    Our website is compatible with 7.3. Is there any way that we can use on AlmaLinux 9.3 ? This is our fresh new cPanel server. We are planing to migrate site from old cPanel server to this server.
    0
  • PenguinInternet
    Not from a cPanel supported perspective - your easiest option is to use CloudLinux which will provide a supported earlier version of PHP, but personally I'd look anyway to update your side code to work with PHP v8
    0
  • Tarak Nath
    Thank you for the update. If we reinstall with AlmaLinux8 then can we PHP 7.3 ? It will be good if you please confirm once.
    0
  • PenguinInternet
    Yes, from the table linked to above you will get PHP v7.2 onwards, however these are end of life and therefore have an associated security risk. In my opinion your time would be better spent either making the code compatible or running CloudLinux for now (you can switch away from it) to ensure your PHP version is supported.
    0
  • Tarak Nath
    Hello, As per your suggestion we have discussed with our developer and decided to upgrade our site with PHP 8.x compatible. Thank you so much.
    0
  • cPRex Jurassic Moderator
    Upgrading the site to work with modern PHP is the best option for sure. PHP 8.0 is reaching end of life now already as well.
    0
  • vacancy
    You have 3 options; Using Cloudlinux. Using the Imunify360 hardened php feature. Using Almalinux 8. Good luck.
    0
  • ffeingol
    0
  • PenguinInternet
    PHP 7.4 is not available with AlmaLinux v9, 8.0 is the oldest which has also just reached end of extended support -
    -1

Please sign in to leave a comment.